package org.dromara.payment.channel.service;

import com.alibaba.fastjson.JSONObject;
import org.dromara.payment.channel.domain.BusChannelProduct;
import org.dromara.payment.channel.domain.vo.BusChannelProductVo;
import org.dromara.payment.channel.domain.bo.BusChannelProductBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 代理商产品Service接口
 *
 * @author LionLi
 * @date 2024-04-10
 */
public interface IBusChannelProductService {

    /**
     * 查询代理商产品
     */
    BusChannelProductVo queryById(Long id);

    /**
     * 查询代理商产品列表
     */
    TableDataInfo<BusChannelProductVo> queryPageList(BusChannelProductBo bo, PageQuery pageQuery);

    /**
     * 查询代理商产品列表
     */
    List<BusChannelProductVo> queryList(BusChannelProductBo bo);

    /**
     * 新增代理商产品
     */
    Boolean insertByBo(JSONObject bo);

    /**
     * 修改代理商产品
     */
    Boolean updateByBo(BusChannelProductBo bo);

    /**
     * 校验并批量删除代理商产品信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
